
Ruby - Bug #21204

`TestEtc#test_ractor_parallel` is still flaky result with ModGC/MMTk

03/28/2025 03:32 AM - hsbt (Hiroshi SHIBATA)

Status: Assigned   

Priority: Normal   

Assignee: eightbitraptor (Matt V-H)   

Target version:    

ruby -v:  Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN, 3.4: UNKNOWN

Description

https://github.com/ruby/ruby/actions/runs/14121185441/job/39561623937?pr=13004

    1) Failure:

  TestEtc#test_ractor_parallel [/home/runner/work/ruby/ruby/src/test/etc/test_etc.rb:178]:

  pid 150540 killed by SIGABRT (signal 6) (core dumped)

  | [BUG] pthread_mutex_lock: Owner died (EOWNERDEAD)

  | ruby 3.5.0dev (2025-03-28T03:13:46Z pull/13004/merge 4cfbc634ea) +PRISM +GC[mmtk] [x86_64-linu

x]

  | 

  | -- Control frame information -----------------------------------------------

  | 

  | malloc_consolidate(): unaligned fastbin chunk detected

  | 

  | -- Threading information ---------------------------------------------------

  | Total ractor count: 1

History

#1 - 03/28/2025 10:29 AM - Eregon (Benoit Daloze)

- Assignee set to eightbitraptor (Matt V-H)

This seems a ModGC bug as the failure seems to happen (from what I heard) only in the ModGC workflow, cc @eightbitraptor (Matt V-H) 

@peterzhu2118 (Peter Zhu)

The test has been omitted only for the ModGC workflow: https://github.com/ruby/etc/pull/55

#2 - 03/28/2025 10:30 AM - Eregon (Benoit Daloze)

- Subject changed from `TestEtc#test_ractor_parallel` is still flaky result to `TestEtc#test_ractor_parallel` is still flaky result with ModGC/MMTk

#3 - 03/28/2025 10:56 AM - eightbitraptor (Matt V-H)

- Status changed from Open to Assigned

#4 - 04/02/2025 08:58 AM - hsbt (Hiroshi SHIBATA)

TestSocket#test_timestamp is failed sometimes on ModGC workflow.

    1) Failure:

  TestSocket#test_timestamp [/home/runner/work/ruby/ruby/src/test/socket/test_socket.rb:493]:

  <[[#<Socket:fd 7>], [], []]> expected but was

  <nil>.

 https://github.com/ruby/ruby/actions/runs/14212913556/job/39823279828?pr=13037
